Index: XIOS/dev/branch_openmp/extern/src_ep_dev/ep_type.hpp
===================================================================
--- XIOS/dev/branch_openmp/extern/src_ep_dev/ep_type.hpp	(revision 1347)
+++ XIOS/dev/branch_openmp/extern/src_ep_dev/ep_type.hpp	(revision 1354)
@@ -153,9 +153,11 @@
 
 
-    #ifdef _intelmpi
-    int mpi_inter_comm;
-    #elif _openmpi
+    // #ifdef _intelmpi
+    // int mpi_inter_comm;
+    // #elif _openmpi
+    // void * mpi_inter_comm;
+    // #endif
+
     void * mpi_inter_comm;
-    #endif
 
     RANK_MAP *intercomm_rank_map;
@@ -258,9 +260,11 @@
     public:
 
-    #ifdef _intelmpi
-    int mpi_comm;
-    #elif _openmpi
+    // #ifdef _intelmpi
+    // int mpi_comm;
+    // #elif _openmpi
+    // void * mpi_comm;
+    // #endif
+
     void * mpi_comm;
-    #endif
 
     bool is_ep;
@@ -276,9 +280,11 @@
 
 
-    #ifdef _intelmpi
-    int mpi_bridge;
-    #elif _openmpi
+    // #ifdef _intelmpi
+    // int mpi_bridge;
+    // #elif _openmpi
+    // void * mpi_bridge;
+    // #endif
+
     void * mpi_bridge;
-    #endif
 
     MPI_Comm()
@@ -294,6 +300,35 @@
     }
 
-    #ifdef _intelmpi
-    MPI_Comm(int comm)
+    // #ifdef _intelmpi
+    // MPI_Comm(int comm)
+    // {
+    //   is_ep = false;
+    //   is_intercomm = false;
+    //   my_buffer = NULL;
+    //   ep_barrier = NULL;
+    //   rank_map = NULL;
+    //   ep_comm_ptr = NULL;
+    //   mem_bridge = NULL;
+    //   mpi_bridge = NULL;
+    //   mpi_comm = comm;
+    // }
+
+    // #elif _openmpi
+
+    // MPI_Comm(void* comm)
+    // {
+    //   is_ep = false;
+    //   is_intercomm = false;
+    //   my_buffer = NULL;
+    //   ep_barrier = NULL;
+    //   rank_map = NULL;
+    //   ep_comm_ptr = NULL;
+    //   mem_bridge = NULL;
+    //   mpi_bridge = NULL;
+    //   mpi_comm = comm;
+    // }
+    // #endif
+    
+    MPI_Comm(void* comm)
     {
       is_ep = false;
@@ -308,21 +343,4 @@
     }
 
-    #elif _openmpi
-
-    MPI_Comm(void* comm)
-    {
-      is_ep = false;
-      is_intercomm = false;
-      my_buffer = NULL;
-      ep_barrier = NULL;
-      rank_map = NULL;
-      ep_comm_ptr = NULL;
-      mem_bridge = NULL;
-      mpi_bridge = NULL;
-      mpi_comm = comm;
-    }
-    #endif
-
-
     bool operator == (MPI_Comm right)
     {
